Get Role Binding

Get Role Binding
Get the roles assigned to a specific user or group

Returns the role binding identified by binding-id. Obtain the binding-id from the id field of an entry returned by GET /iam/role-bindings.

Request
URI
GET
https://{api_host}/https://{api_host}:{port}/lh-appliance/iam/role-bindings/{binding-id}
COPY
Path Parameters
string
binding-id
Required

The id of the role binding, as returned by GET /iam/role-bindings.


Authentication
This operation uses the following authentication methods.
Responses
200

The role binding was retrieved successfully.

Returns RoleBinding of type(s) application/json
This response body class contains all of the following: ManagedResource , InlineRoleBinding1
{
    "id": "5c4d9f2a-1234-4a11-9d3a-7e6f0b8c2d10",
    "entity_name": "audit",
    "user_type": "LOCAL_USER",
    "roles": [
        {
            "role": "AUDITOR"
        }
    ]
}

400

Bad Request

Returns BadRequest of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


412

Precondition Failed

Returns PreconditionFailed of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


428

Precondition Required

Returns PreconditionRequired of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


429

Too Many Requests

Returns TooManyRequests of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


default

4XX and 5XX type errors with appropriate message

Returns Error of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/https://{api_host}:{port}/lh-appliance/iam/role-bindings/{binding-id}